Subject: Re: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Wed, 07 Sep 2022 13:31:18 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Find below a patch for a command that a lot of custom themes
>> re-implement, whenever there exists a light and dark variant.
>
> I think it would also be nice if the themes themselves explicitly
> defined themselves as being light/dark, really.  That way, when Emacs
> finally grows a "react to the OS dark mode settings", Emacs could also
> flip to the correct theme (if we have a dual theme).

Do you think it would be better to less general, and instead of talking
about "dual" themes always assume we want to toggle between a light and
a dark variant?  If not, this sounds like a separate feature (say that
could be handled by a different property `theme-variant').